### Method

# Camel FilterDriver set_shell_func

#### Declaration [src]

    void
    camel_filter_driver_set_shell_func (
      CamelFilterDriver* d,
      CamelFilterShellFunc func,
      gpointer user_data
    )

#### Description [src]

Sets a shell command callback, which is called when a shell command execution is requested.

#### Parameters

`func`

  Type: `CamelFilterShellFunc`

  A shell command callback.

`user_data`

  Type: `gpointer`

  User data to pass to `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.